#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QChartView>
#include <QLabel>
#include <QTimer>

QT_BEGIN_NAMESPACE
namespace Ui {
class Widget;
}
QT_END_NAMESPACE

class Widget : public QWidget
{
    Q_OBJECT

public:
    Widget(QWidget *parent = nullptr);
    ~Widget();

private:
    QChartView *chartView;

private slots:
    void on_DataAcquisition_clicked();

    void on_ResetDevice_clicked();

    void on_SetUserInformation_clicked();

    void on_GetDeviceInformation_clicked();

    void on_OpenDevice_clicked();

    void updateTime();

private:
    Ui::Widget *ui;

    QTimer *timer;

};
#endif // WIDGET_H
